Subject: [Simple] SIP Notification Problem

From: Behrad Zari <[email-masked]>
Date: Mon, 28 Nov 2005 04:04:28 -0800 (PST)

Howdy All,
We're testing own Sip Presence server with eyebeam
softphone and the there's no success in the notify
request sent by server.
When comparing the message flow to RFC3856 Section 8
Example Message Flow I find no problem! I don't why
the NOTIFY is not considered in current dialog by the
client!? 
Any Suggestions?
This is our message flow down below:

WE RECEIVE THIS:
-------------------------------------
SUBSCRIBE sip:[email-masked];transport=udp
SIP/2.0
Via: SIP/2.0/UDP
192.168.128.30:5081;branch=z9hG4bK-d87543-e777ef57d3723756-1--d87543-;rport
Max-Forwards: 70
Contact:
<sip:[email-masked]:5081;transport=udp>
To: <sip:[email-masked]>
From: "Behrad"<sip:[email-masked]>;tag=fe05df14
Call-ID: fc511d4e3e719a65@YmVocmFkLmNjLmJhc2FtYWQuYWNj
CSeq: 1 SUBSCRIBE
Expires: 3600
Accept: multipart/related, application/rlmi+xml,
application/pidf+xml, application/xpidf+xml
Allow: INVITE, ACK, CANCEL, OPTIONS, BYE, REFER,
NOTIFY, MESSAGE, SUBSCRIBE, INFO
Supported: eventlist
User-Agent: eyeBeam release 3010n stamp 19039
Event: presence
Content-Length: 0

WE SEND A 202 AND A NOTIFY FOR INCOMING SUBSCRIBE:
-----------------------------------------------------------------------
16:53:38.4 
RECEIVING FROM: 192.168.128.30:2751
SIP/2.0 202 Accepted
To: <sip:[email-masked]>;tag=xtbi5e
Content-Length: 0
CSeq: 1 SUBSCRIBE
Call-ID: fc511d4e3e719a65@YmVocmFkLmNjLmJhc2FtYWQuYWNj
Via: SIP/2.0/UDP
192.168.128.30:5081;branch=z9hG4bK-d87543-e777ef57d3723756-1--d87543-;rport
From: Behrad <sip:[email-masked]>;tag=fe05df14
Expires: 3600

16:53:38.5 
RECEIVING FROM: 192.168.128.30:2751
NOTIFY sip:[email-masked]:5081;transport=udp
SIP/2.0
To: Behrad <sip:[email-masked]>;tag=fe05df14
Content-Length: 513
CSeq: 1 NOTIFY
Subscription-State: active;expires=360
Call-ID: fc511d4e3e719a65@YmVocmFkLmNjLmJhc2FtYWQuYWNj
Event: presence
Via: SIP/2.0/UDP
192.168.128.30:5060;branch=z9hG4bKrog33a
From: <sip:[email-masked]>;tag=xtbi5e
Content-Type: application/pidf+xml
Max-Forwards: 70
<?xml version="1.0" encoding="UTF-8"?><presence
xmlns="urn:ietf:params:xml:ns:pidf"xmlns:pp="urn:ietf:params:xml:ns:pidf:person"xmlns:et="urn:ietf:params:xml:ns:pidf:rpid:rpid-tuple"xmlns:ep="urn:ietf:params:xml:ns:pidf:rpid:rpid-person"xmlns:es="urn:ietf:params:xml:ns:pidf:rpid:status:rpid-status"xmlns:ci="urn:ietf:params:xml:ns:pidf:cipid"entity="sip:[email-masked]"><tuple
id="f1391660"><contact
priority="1">sip:[email-masked]</contact><status><basic>open</basic></status></tuple></presence>

WE GET THIS FROM CLIENT AND ALSO FACE AN EXCEPTION
FROM SERVER
------------------------------------------------------------------------------------
16:53:38.5 
SENDING TO: 192.168.128.30:5060
SIP/2.0 481 Call/Transaction Does Not Exist
Via: SIP/2.0/UDP
192.168.128.30:5060;branch=z9hG4bKrog33a
To: "Behrad "<sip:[email-masked]>;tag=fe05df14
From: <sip:[email-masked]>;tag=xtbi5e
Call-ID: fc511d4e3e719a65@YmVocmFkLmNjLmJhc2FtYWQuYWNj
CSeq: 1 NOTIFY
Accept-Language: en
Content-Length: 0

Thanks,

--Behrad

__________________________________ 
Start your day with Yahoo! - Make it your home page! 
http://www.yahoo.com/r/hs

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: "Chooracken John" <[email-masked]>
Date: Tue, 29 Nov 2005 11:15:03 +0530

Hi Behrad,

   After going though the flow, I find the following issues:

1. The server is not adding "Contact:" header field in both 202 and
NOTIFY. This is mandatory in RFC 3265, section 7.1

2. " transport=udp" is being added in the Request URI.

Regards,
John

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Behrad Zari
Sent: Monday, November 28, 2005 5:34 PM
To: [email-masked]
Cc: Afshin Afzali
Subject: [Simple] SIP Notification Problem

Howdy All,

WE RECEIVE THIS:
192.168.128.30:5081;branch=z9hG4bK-d87543-e777ef57d3723756-1--d87543-;rp
ort

192.168.128.30:5081;branch=z9hG4bK-d87543-e777ef57d3723756-1--d87543-;rp
ort

16:53:38.5 
RECEIVING FROM: 192.168.128.30:2751
NOTIFY sip:[email-masked]:5081;transport=udp
SIP/2.0
To: Behrad <sip:[email-masked]>;tag=fe05df14
Content-Length: 513
CSeq: 1 NOTIFY
Subscription-State: active;expires=360
Call-ID: fc511d4e3e719a65@YmVocmFkLmNjLmJhc2FtYWQuYWNj
Event: presence
Via: SIP/2.0/UDP
192.168.128.30:5060;branch=z9hG4bKrog33a
From: <sip:[email-masked]>;tag=xtbi5e
Content-Type: application/pidf+xml
Max-Forwards: 70
<?xml version="1.0" encoding="UTF-8"?><presence
xmlns="urn:ietf:params:xml:ns:pidf"xmlns:pp="urn:ietf:params:xml:ns:pidf
:person"xmlns:et="urn:ietf:params:xml:ns:pidf:rpid:rpid-tuple"xmlns:ep="
urn:ietf:params:xml:ns:pidf:rpid:rpid-person"xmlns:es="urn:ietf:params:x
ml:ns:pidf:rpid:status:rpid-status"xmlns:ci="urn:ietf:params:xml:ns:pidf
:cipid"entity="sip:[email-masked]"><tuple
id="f1391660"><contact
priority="1">sip:[email-masked]</contact><status><basic>open</ba
sic></status></tuple></presence>

------------------------------------------------------------------------
------------

Thanks,

--Behrad